Subject: Bash redirection woes...
From: [email-masked] ("David M. Gursky")

3 Mar 1997 20:49:50 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
Original-To: [email-masked]
Original-cc: [email-masked]
Original-Sender: [email-masked]

I'm having a problem with redirection under bash that I hope the readers
of this list can shed some light on.

I am trying to build Harvest under NT 4.0.  The configuration script has a
number of commands to the effect of:

  cat > conftest.h <<EOF
  .
  .
  .
  EOF

What this is suppose to do is put the contents of the intermediate lines
into the file conftest.h.  Unfortunately, it doesn't seem to work.  Bash
consistently gives me a file not found error.  If I manually enter the
command "cat <<EOF" and then type several lines of text followed by
"EOF", that works find.  If I try cat filename > conftest.h, that works
too, but putting the two redirection constructs toget on the same line
seems to consistently fail.

Since I do noit regularly read this list, I would be grateful for
responses via email to [email-masked].  Thank you.

                                David M. Gursky
                             Quality Systems, Inc.
                         4000 Legato Road, Suite 1100
                              Fairfax, VA  22033

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".